Name: repocop-unittest-altlinux-policy
Version: 0.16
Release: alt2
BuildArch: noarch
Packager: Igor Vlasenko <viy@altlinux.ru>
Url: http://repocop.altlinux.org

Summary: altlinux-policy intergration tests for repocop test platform.
Group: Development/Other
License: GPLv2+

Source: %name-%version.tar
Provides: repocop-unittest-altlinux-policy-rpm-macros-packaging = 0.04
Obsoletes: repocop-unittest-altlinux-policy-rpm-macros-packaging

# for pixmap-in-deprecated-location
# Requires: pcregrep
Requires: repocop-collector-specfile
Requires: repocop > 0.19

%description
The test warns packages that contain rpm macros, but are not named
appropriately.

%prep
%setup

%build

%install
for i in *.posttest; do
    testname=`echo $i | sed -e s,.posttest\$,,`
    install -pD -m 755 $testname.posttest %buildroot%_datadir/repocop/pkgtests/$testname/posttest
done

for i in *.pl; do
    install -pD -m 644 $i %buildroot%_datadir/repocop/fixscripts/$i
done

%files
%_datadir/repocop/pkgtests/*
%_datadir/repocop/fixscripts/*

%changelog
* Fri Oct 23 2009 Igor Vlasenko <viy@altlinux.ru> 0.16-alt2
- fixes in *-tex-obsolete-util-calls-in-post patchgen.

* Fri Oct 23 2009 Igor Vlasenko <viy@altlinux.ru> 0.16-alt1
- added 
  altlinux-policy-tex-obsolete-tetex-prefix.posttest
  altlinux-policy-tex-obsolete-util-calls-in-post.posttest

* Tue Sep 29 2009 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1
- use posttests

* Thu Sep 24 2009 Igor Vlasenko <viy@altlinux.ru> 0.14-alt2
- added altlinux-policy-tex-buildreq-tetex.posttest

* Tue Sep 22 2009 Igor Vlasenko <viy@altlinux.ru> 0.14-alt1
- added altlinux-policy-tex-obsolete-tetex.posttest

* Tue Apr 14 2009 Igor Vlasenko <viy@altlinux.ru> 0.13-alt2
- added missing requires: repocop-collector-specfile

* Thu Mar 12 2009 Igor Vlasenko <viy@altlinux.ru> 0.13-alt1
- pixmap-in-deprecated-location fixscript tuning

* Thu Mar 12 2009 Igor Vlasenko <viy@altlinux.ru> 0.12-alt1
- added pixmap-in-deprecated-location test

* Fri Jan 02 2009 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1
- added exception for known plugins in libdir.

* Thu Dec 25 2008 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1
- added tests for R:/BR: microsoft-fonts-ttf

* Tue Dec 16 2008 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1
- fix in test altlinux-policy-shared-lib-contains-devel-so:
  added test that sonamed lib is a real file.
  (thanks to mithraen@ for report)

* Sat Dec 13 2008 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- added test altlinux-policy-shared-lib-contains-devel-so

* Fri Dec 05 2008 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1
- fixes in test pseudouser-added-as-real-user

* Sun Nov 30 2008 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- added test pseudouser-added-as-real-user 

* Sun Nov 23 2008 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- _rpmmacrosdir support added

* Fri Nov 21 2008 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- renamed to repocop-unittest-altlinux-policy
- added check and fixscript for %%perl_vendor_archlib packaging

* Mon Sep 08 2008 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- refs to wiki.altlinux.org (#16724)

* Thu Jul 10 2008 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- more verbose description in generated patch

* Thu Jul 10 2008 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial version; note: added patch generator
